import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'chat' },
})
export class Chat extends BaseModel {
  @prop({ required: false, index: true, zh: '医护回答人' })
  doctor_nurse: string;
  @prop({ required: false, index: true, zh: '患者' })
  patient: string;
  @prop({ required: false, index: true, zh: '群组' })
  group: string;
  @prop({ required: false, index: false, zh: '内容' })
  content: string;
}
