import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'adv' },
})
export class Adv extends BaseModel {
  @prop({ required: false, index: false, zh: '图片', remark: 'File类型' })
  image: string;
  @prop({ required: false, index: false, zh: '跳转位置' })
  url: string;
}
