import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Group } from '../entity/group.entity';
type modelType = ReturnModelType<typeof Group>;
@Provide()
export class GroupService extends BaseService<modelType> {
  @InjectEntityModel(Group)
  model: modelType;
}
