import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Patient } from '../entity/patient.entity';
type modelType = ReturnModelType<typeof Patient>;
@Provide()
export class PatientService extends BaseService<modelType> {
  @InjectEntityModel(Patient)
  model: modelType;
}
